# pyOCD Documentation

## Table of Contents

### User documentation

#### Topics

- [Terminology](terminology.md)
- [Target support](target_support.md)
- [Configuration](configuration.md)
- [User scripts](user_scripts.md)
- [Remote probe access](remote_probe_access.md)
- [Configuring logging](configuring_logging.md)
- [Debugging multicore devices](multicore_debug.md)
- [Target security features](security.md)

#### Reference

- [Session options reference](options.md)
- [Command reference](command_reference.md)

#### Python API

- [Introduction to the pyOCD Python API](python_api.md)
- [Python API examples](api_examples.md)

#### Miscellaneous

- [Installing on non-x86 platforms](installing_on_non_x86.md)

### Developer documentation

#### How-tos

- [Developers’ guide](developers_guide.md)
- [How to add new targets](adding_new_targets.md)
- [Building a standalone gdb server executable](how_to_build.md)
- [Running the automated tests](automated_tests.md)

#### Architecture and Design

- [Architecture overview](architecture.md)
- [Remote probe protocol](remote_probe_protocol.md)




